From c0b3bac1c2d494820a17d7b2f5687342ffff7ea4 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 08 2015 01:39:58 +0000
Subject: [PATCH 177/1001] Consistent sort.


---

diff --git a/hubs/models.py b/hubs/models.py
index ef97536..205a40f 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -24,6 +24,7 @@
 import datetime
 import json
 import logging
+import operator
 
 import sqlalchemy as sa
 from sqlalchemy import create_engine
@@ -300,7 +301,7 @@ class User(BASE):
         return sorted(list(set([assoc.hub for assoc in self.associations
                 if assoc.role == 'member'
                 or assoc.role == 'subscriber'
-                or assoc.role == 'owner'])))
+                or assoc.role == 'owner'])), key=operator.attrgetter('name'))
 
     @property
     def username(self):

